- NAME
- SYNOPSIS
- DESCRIPTION
- IMPLEMENTATION NOTE

# NAME

PerlIO::mmap - Memory mapped IO

# SYNOPSIS

     open my $fh, '<:mmap', $filename;

# DESCRIPTION

This layer does `read` and `write` operations by mmap()ing the file if possible, but falls back to the default behavior if not.

# IMPLEMENTATION NOTE

`PerlIO::mmap` only exists to use XSLoader to load C code that provides support for using memory mapped IO. One does not need to explicitly `use PerlIO::mmap;`.